| Home | Libraries | People | FAQ | More

## Struct template result<This(BidirectionalIterator, Distance)>

boost::proto::functional::prior::result<This(BidirectionalIterator, Distance)>

## Synopsis

    // In header: <boost/proto/functional/std/iterator.hpp>

    template<typename This, typename BidirectionalIterator, typename Distance>
    struct result<This(BidirectionalIterator, Distance)> {
      // types
      typedef typename boost::remove_const<
          typename boost::remove_reference<BidirectionalIterator>::type
        >::type type;
    };